com.jnape.palatable.lambda.functions.builtin.fn2

## Class Peek<A,FA extends Functor<A,?>>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Peek<A,FA>

- Type Parameters:
    `A` - the functor parameter type
    `FA` - the functor type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>>, Fn2<Fn1<? super A,? extends IO<?>>,FA,FA>, Applicative<Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>, Cartesian<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends IO<?>>,Profunctor<?,Fn1<FA,FA>,Fn1<?,?>>>, Functor<Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>, Profunctor<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>,Fn1<?,?>>, Monad<Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>, MonadReader<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>, MonadRec<Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>, MonadWriter<Fn1<? super A,? extends IO<?>>,Fn1<FA,FA>,Fn1<Fn1<? super A,? extends IO<?>>,?>>

  Deprecated.
  in favor of producing an `IO` from the given `Functor` and explicitly running it

      @Deprecated
      public final class Peek<A,FA extends Functor<A,?>>
      extends Object
      implements Fn2<Fn1<? super A,? extends IO<?>>,FA,FA>

  Given an `Effect`, "peek" at the value contained inside a `Functor` via `Functor.fmap(Fn1)`, applying the `Effect` to the contained value, if there is one.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FA` | `checkedApply(Fn1<? super A,? extends IO<?>> effect, FA fa)` Deprecated.
    `static <A,FA extends Functor<A,?>> Peek<A,FA>` | `peek()` Deprecated.
    `static <A,FA extends Functor<A,?>> Fn1<FA,FA>` | `peek(Fn1<? super A,? extends IO<?>> effect)` Deprecated.
    `static <A,FA extends Functor<A,?>> FA` | `peek(Fn1<? super A,? extends IO<?>> effect, FA fa)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public FA checkedApply(Fn1<? super A,? extends IO<?>> effect,
                                 FA fa)

      Deprecated.
      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends IO<?>>,FA extends Functor<A,?>,FA extends Functor<A,?>>`

    - #### peek

          public static <A,FA extends Functor<A,?>> Peek<A,FA> peek()

      Deprecated.

    - #### peek

          public static <A,FA extends Functor<A,?>> Fn1<FA,FA> peek(Fn1<? super A,? extends IO<?>> effect)

      Deprecated.

    - #### peek

          public static <A,FA extends Functor<A,?>> FA peek(Fn1<? super A,? extends IO<?>> effect,
                                                            FA fa)

      Deprecated.